#include <iostream>
#include <math.h>

int main()
{
    int t;
    std::cin >> t;
    int n;
    bool isti;
    int k, l;
    int temp;
    int o = 0, p = 0;
    int brojac;
    for(int u = 0; u < t; u++){
        isti = false;
        std::cin >> n;
        int niz[n], b[n];
        for(int i = 0; i < n; i++){

            std::cin >> niz[n];

        }
        for(int i = 0; i < n; i++){

            std::cin >> b[n];

        }
        if(n % 2 == 0){

            std::cout << "DA";

        }
        while(isti == true){

            for(int i = 0; i < n; i++){

                if(niz[i] == b[i]){

                    if(i == n-1){

                        isti = true;
                        std::cout << "DA";
                        break;

                    }

                }else{

                    break;

                }
                temp = niz[o];
                niz[o] = niz[p];
                niz[p] = niz[o];
                if(niz[o] < 0){

                    niz[o] = std::abs(niz[o]);

                }else{

                    k = niz[o];
                    niz[o] = 0;
                    niz[o] -= k;

                }
                if(niz[p] < 0){

                    niz[p] = std::abs(niz[p]);

                }else{

                    l = niz[p];
                    niz[p] = 0;
                    niz[p] -= l;

                }

            }
            o++;
            p++;
            if(o == n-1){

                o = 0;
                p = 0;
                brojac++;
            }
            if(brojac > 10000){

                std::cout << "\nNE";
                break;
                isti = true;

            }
        }
        if(n % 2 != 0){

            std::cout << "DA";

        }
        o=0;
        p=0;
    }
    return 0;
}